%define	oname	glob2
%define	name	globulation2
%define	version	0.9.1
%define	release	%mkrel 2
%define	Summary	Globulation2 - a state of the art Real Time Strategy (RTS) game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source0:	http://dl.sv.nongnu.org/releases/%{oname}/%{version}/%{oname}-%{version}.tar.gz
Source1:	http://moneo.phear.org/~nct/glob2gfx.tar.bz2
Source2:	http://goldeneye.sked.ch/~smagnena/sans.ttf
# fwang: patch0,1 from fedora
Patch0:		glob2-texts.pl.patch
Patch1:		glob2-desktopfileinstall.patch
URL:		http://www.globulation2.org
BuildRequires:	autoconf oggvorbis-devel SDL-devel fribidi-devel
BuildRequires:	SDL_image-devel SDL_net-devel speex-devel SDL_ttf-devel
BuildRequires:	boost-devel MesaGLU-devel
BuildRequires:	scons
Provides:	%{oname} = %version-%release
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glob2 is a state of the art Real Time Strategy (RTS) game. It is free
software released under the terms of the GNU General Public License.

Globulation in a whole is an on-going project to create an innovative
high quality gameplay by minimizing micro-managment and assigning
automatically the tasks to the units. The player just has to order
the number of units he wants for a selected task and the units will
do their best to satisfy your requirements.

Glob2 can be played by a single player, through your Local Area
Network (LAN), or through Internet thanks to Ysagoon Online Game (YOG),
a meta-server. It also features a scripting language for versatile
gameplay and an integrated map editor.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
%patch1 -p0

chmod -x {src/*.h,src/*.cpp,libgag/include/*.h,gnupg/*,libgag/src/*.cpp,scripts/*,data/*.txt,campaigns/*,AUTHORS,COPYING,README,TODO}

%build
# data should be installed into datadir rather than gamesdatadir,
# otherwise it cannot find them :(
scons %_smp_mflags BINDIR=%{_gamesbindir} INSTALLDIR=%{_datadir} CXXFLAGS='%{optflags}'

%install
#---- FEDORA
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{oname}/{data/fonts,data/gfx/cursor,data/gui,data/icons,data/zik,maps,scripts,campaigns}
cp -r {data,campaigns,scripts,maps} $RPM_BUILD_ROOT%{_datadir}/%{oname}/
# AUTHORS needs to be there for credits
cp AUTHORS $RPM_BUILD_ROOT%{_datadir}/%{oname}/

mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
install -m755 src/glob2 $RPM_BUILD_ROOT%{_gamesbindir}/

find $RPM_BUILD_ROOT -name SConscript -exec rm -f {} \;

for f in 128x128 16x16 24x24 32x32 48x48 64x64; do
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps
mv $RPM_BUILD_ROOT%{_datadir}/%{oname}/data/icons/glob2-icon-$f.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps/%{name}.png
done
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{oname}/data/icons
#---- FEDORA

tar -xjf %{SOURCE1} -C %{buildroot}%{_datadir}/%{oname}/data
install %{SOURCE2} %{buildroot}%{_datadir}/%{oname}/data/fonts

install -m644 data/icons/glob2-icon-16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 data/icons/glob2-icon-32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 data/icons/glob2-icon-48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/mandriva-%name.desktop << EOF
[Desktop Entry]
Name=Globulation2
Comment=Globulation2 - a state of the art Real Time Strategy (RTS) game
Exec=%_gamesbindir/%oname
Icon=%name
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_gamesbindir}/%{oname}
%{_datadir}/%{oname}
%{_datadir}/applications/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Sep 22 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-2mdv2008.0
+ Revision: 92190
- fix building
- Back to %%_gamesdatadir
- use own icons
- disable boost_thread-mt
- INSTALL to %%_gamesdatadir/%%oname
- Merge fedora SPEC

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 78406
- fix building with scons
- New version 0.9.1

* Sun Apr 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.23-1mdv2008.0
+ Revision: 16805
- new version 0.8.23


* Mon Dec 04 2006 Olivier Blin <oblin@mandriva.com> 0.8.21-6mdv2007.0
+ Revision: 90546
- fix pixmaps location
- Import globulation2

* Wed Sep 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-5mdv2007.0
- bag one final buildrequires!

* Wed Sep 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-4mdv2007.0
- more buildrequires*#¤"#%%"&¤&%%

* Tue Sep 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-3mdv2007.0
- fix buildrequires

* Tue Sep 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.21-2mdv2007.0
- fix xdg menu

* Fri Aug 18 2006 Lenny Cartier <lenny@mandriva.com> 0.8.21-1mdv2007.0
- 0.8.21
- xdg

* Wed May 18 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.15-1mdk
- 0.8.15

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.12-1mdk
- 0.8.12

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.11-1mdk
- 0.8.11

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.10-1mdk
- 0.8.10

* Tue Oct 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.9-1mdk
- 0.8.9

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6
- cleanups
- move stuff to %%{_gamesbindir} and %%{_gamesdatadir}
- fix menu section
- fix icon
- fix buildrequires

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.5-3mdk
- rebuild for new g++

* Sat May 15 2004 Antoine Ginies <aginies@n2.mandrakesoft.com> 0.8.5-2mdk
- merge diff between version

* Mon May 03 2004 Bruno VASTA <bruno.vasta@infodia.fr>                                     |
- initial mdk rpm release, based on an old Che's fedora package

* Sat Mar 20 2004 Che
- initial rpm release

